@charset "utf-8";

/*
* -----------------------------------------------------
* TRI COLOR THEME FILE
* -----------------------------------------------------
* Applies to background, foreground and border
*/

:root {
    --theme-color: #ff5500; /* #6b8e23 */
    --theme-color-alt: #59c3de; /* #ffff00 */
    --theme-color-ext: #079400; /* #6e6bff (Non HTML)*/

    --theme-color-shade: #c70000; /* #00428c */
    --theme-color-medium: #ff3d3d; /* #008af1 */
    --theme-color-light: #ffc6c6; /* #eeffcd */

    --theme-color-alt-light: #a3e9fb; /* #fff4b6 */
    --theme-color-alt-shade: #40a9c4; /* #febe10 */
    --theme-color-alt-medium: #71e3ff; /* #ffe557 */

    --theme-color-ext-light: #ccffc9; /* #9d9bff */
    --theme-color-ext-shade: #066e00; /* #2c27ff */
    --theme-color-ext-medium: #0ac000; /* #9d9bff */

    --theme-grad-main-alt: linear-gradient(to right, var(--theme-color), var(--theme-color-alt));
    --theme-grad-main-ext: linear-gradient(to right, var(--theme-color), var(--theme-color-ext));
    --theme-grad-ext-alt: linear-gradient(to right, var(--theme-color-ext), var(--theme-color-alt));
}

.theme-bg {
    background-color: var(--theme-color) !important;
    color: #fff;
}
.theme-bg-medium {
    background-color: var(--theme-color-medium) !important;
    color: #000;
}
.theme-bg-light {
    background-color: var(--theme-color-light) !important;
    color: #000;
}

.theme-bg-alt {
    background-color: var(--theme-color-alt) !important;
    color: #000;
}
.theme-bg-alt-light {
    background-color: var(--theme-color-alt-light) !important;
    color: #000;
}

.theme-bg-ext {
    background-color: var(--theme-color-ext) !important;
    color: #fff !important;
}
.theme-bg-ext-light {
    background-color: var(--theme-color-ext-light) !important;
    color: #000;
}
.theme-bg-grad-main-alt {
    background: var(--theme-grad-main-alt) !important;
    color: #fff;
}
.theme-bg-grad-main-ext {
    background: var(--theme-grad-main-ext) !important;
    color: #fff;
}
.theme-bg-grad-ext-alt {
    background: var(--theme-grad-ext-alt) !important;
    color: #fff;
}

.theme-text {
    color: var(--theme-color) !important;
}
.theme-text-alt {
    color: var(--theme-color-alt) !important;
}
.theme-text-alt-light {
    color: var(--theme-color-alt-light) !important;
}
.theme-text-ext {
    color: var(--theme-color-ext) !important;
}
.theme-text-ext-light {
    color: var(--theme-color-ext-light) !important;
}

.theme-border {
    border-color: var(--theme-color) !important;
}
.theme-border-alt {
    border-color: var(--theme-color-alt) !important;
}
.theme-border-ext {
    border-color: var(--theme-color-ext) !important;
}